package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.activity.ActivityGiftRankUser;
import com.starbuds.server.common.pojo.db.ActivityGiftRankAnchorDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/6/23
 */
@Mapper
@Repository
public interface ActivityGiftRankAnchorDAO {
    /**
     * 创建或增长
     *
     * @param activityGiftRankAnchorDO
     * @return
     */
    int insertOrIncrease(ActivityGiftRankAnchorDO activityGiftRankAnchorDO);

    /**
     * 查询排行榜
     *
     * @param activityId
     * @param num
     * @return
     */
    List<ActivityGiftRankUser> selectAll(@Param("activityId") Long activityId, @Param("num") int num);
}
