package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.db.ActivityGrabConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * ActivityGrabConfigDAO
 *
 * @author Lay
 * @date 2021/3/29
 */
@Mapper
@Repository
public interface ActivityGrabConfigDAO {
    /**
     * 查询最新有效
     *
     * @param activityId
     * @return
     */
    @Select("SELECT configId, activityId, configName, price, priceType, itemsCount, playerNum, itemType, itemId, createTime, enabledTime FROM tb_activity_grab_config WHERE activityId = #{activityId} ORDER BY enabledTime DESC LIMIT 1")
    ActivityGrabConfigDO selectLatestEnabled(long activityId);
}
