package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.db.ActivityRankDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/5/12 12:56
 * @Description 活动排名持久层
 */
@Mapper
@Repository
public interface ActivityRankDAO {


    /**
     * 获取排名
     *
     * @param activityId
     * @return
     */
    List<ActivityRankDO> selectByActivityId(@Param("activityId") Long activityId);

}
