package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.activity.GiftLoveRankItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/6/9 15:44
 * @Description 真爱榜持久层
 */
@Mapper
@Component
public interface GiftLoveHisDAO {

    /**
     * 根据礼物id获取真爱榜
     *
     * @param giftId
     * @param num
     * @return
     */
    List<GiftLoveRankItem> selectListByGiftId(@Param("giftId") Long giftId, @Param("num") int num);

}
