package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.db.LotteryGameUserQualificationHisDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 抽奖活动中用户获取的抽奖资格 Mapper仅限单元测试使用
 */
@Mapper
@Repository
public interface LotteryGameUserQualificationHis4TestDAO {

    /**
     * 插入数据
     */
    @Insert("INSERT INTO tb_lottery_game_user_qualification_his " +
            "(hisId,snapId,userId,isEffective,createTime) " +
            "VALUES " +
            "(#{hisId},#{snapId},#{userId},#{isEffective},#{createTime})")
    int insert(LotteryGameUserQualificationHisDO po);

}
