package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.db.SendGiftSnapshotDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 送礼物快照 Mapper
 */
@Mapper
@Repository
public interface SendGiftSnapshotDAO {

    /**
     * 更新数据
     */
    int updateActivityLotteryHisId(@Param("orderId") Long orderId,
                                   @Param("activityLotteryHisId") String activityLotteryHisId,
                                   @Param("updateTime") long updateTime);

    /**
     * 获取数据
     *
     * @param orderId
     * @return
     */
    SendGiftSnapshotDO selectActivityLotterySnap(@Param("orderId") Long orderId);
}