package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.activity.ActivityGiftRankUser;
import com.starbuds.server.common.pojo.db.ActivityGiftRankAssistsDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/6/23
 */
@Mapper
@Repository
public interface ActivityGiftRankAssistsDAO {
    /**
     * 创建或增长
     *
     * @param activityGiftRankAssistsDO
     * @return
     */
    int insertOrIncrease(ActivityGiftRankAssistsDO activityGiftRankAssistsDO);

    /**
     * 获取助攻金主
     *
     * @param activityId
     * @param anchorUserId
     * @return
     */
    ActivityGiftRankUser selectInvestor(@Param("activityId") Long activityId, @Param("anchorUserId") Long anchorUserId);
}
