package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.activity.ActivityInfo;
import com.starbuds.server.common.pojo.activity.ActivityItem;
import com.starbuds.server.common.pojo.activity.ActivityVO;
import com.starbuds.server.common.pojo.db.ActivityDO;
import com.starbuds.server.common.pojo.db.ActivityRechargeForkHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/22
 */
@Mapper
@Repository
public interface ActivityRechargeForkHisDAO {

    int insert(@Param("hisId") long hisId, @Param("userId") long userId, @Param("amount") BigDecimal amount, @Param("propsNum") int propsNum, @Param("createTime") long createTime, @Param("updateTime") long updateTime);

    int updateAmount(@Param("userId") long userId, @Param("amount") BigDecimal amount, @Param("updateTime") long updateTime);

    int updatePropsNum(@Param("userId") long userId, @Param("propsNum") int propsNum, @Param("updateTime") long updateTime);

    int updateAmountAndPropsNum(@Param("userId") long userId, @Param("propsNum") int propsNum, @Param("amount") BigDecimal amount, @Param("updateTime") long updateTime);


    ActivityRechargeForkHisDO getActivityRechargeForkHis(@Param("userId") long userId);

}
