package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.db.ActivityTriggerUnionDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/1
 */
@Mapper
@Repository
public interface ActivityTriggerUnionDAO {
    /**
     * 根据活动 id 查询
     *
     * @param activityId
     * @return
     */
    List<ActivityTriggerUnionDO> selectAllByActivityId(@Param("activityId") Long activityId);
}
