package com.starbuds.server.service.activity.dao;

import com.starbuds.server.common.pojo.user.UserBasicInfo;
import com.starbuds.server.common.pojo.user.UserCardVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * tb_user
 *
 * @author Lay
 * @date 2019/12/4
 */
@Mapper
@Repository
public interface UserDAO {

    /**
     * 获取用户卡片信息
     *
     * @param userId
     * @return
     */
    UserCardVO selectCardById(@Param("userId") Long userId);

    UserBasicInfo getUser(@Param("userId") Long userId);


    int selectCountBycreatTime(@Param("userId") Long userId, @Param("hisCreateTime") Long hisCreateTime);

    int selectCountByLesCreatTime(@Param("userId") Long userId, @Param("hisCreateTime") Long hisCreateTime);


    int updateUserStatActivityLogin(@Param("statDate") Integer statDate, @Param("userNum") Integer userNum, @Param("lotteryUserNum") Integer lotteryUserNum, @Param("lottertPrice") Integer lottertPrice, @Param("updateTime") Long updateTime);

    int insertUserStatActivityLogin(@Param("hisId") Long hisId, @Param("userNum") Integer userNum, @Param("statDate") Integer statDate, @Param("createTime") Long createTime, @Param("updateTime") Long updateTime);

    int getUserBagItemHas(@Param("userId") Long userId, @Param("itemId") Long itemId, @Param("itemType") int itemType);

}
