package com.starbuds.server.service.activity.events;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationEvent;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 事件驱动服务
 *
 * @author aoe
 */
@Service
@Slf4j
public class EventService {

    @Resource
    private ApplicationContext applicationContext;

    /**
     * 发布事件
     *
     * @param event
     */
    public void publish(ApplicationEvent event) {
        applicationContext.publishEvent(event);
    }
}
