package com.starbuds.server.service.activity.events.event;

import com.starbuds.server.service.activity.events.message.LotteryGameCleanCacheMsg;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 抽奖活动清空缓存
 *
 * @author aoe
 * @date 2021/12/30
 */
@Getter
public class LotteryGameCleanCacheEvent extends ApplicationEvent {

    private LotteryGameCleanCacheMsg msg;

    public LotteryGameCleanCacheEvent(LotteryGameCleanCacheMsg msg) {
        super(msg);
        this.msg = msg;
    }
}
