package com.starbuds.server.service.activity.events.message;

import com.starbuds.server.common.pojo.activity.bo.LotteryGameRewardSummary;
import lombok.Data;

import java.util.List;

/**
 * 抽奖活动清空缓存
 *
 * @author aoe
 * @date 2021/12/30
 */
@Data
public class LotteryGameCleanCacheMsg {

    private final Long snapId;

    private final List<Long> winUserIds;

    private final List<LotteryGameRewardSummary> rewardSummaries;

    public LotteryGameCleanCacheMsg(Long snapId, List<Long> winUserIds, List<LotteryGameRewardSummary> rewardSummaries) {
        this.snapId = snapId;
        this.winUserIds = winUserIds;
        this.rewardSummaries = rewardSummaries;
    }
}
