package com.starbuds.server.service.activity.impl;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.db.ActivityAnnualAwardConfigDO;
import com.starbuds.server.service.activity.dao.ActivityAnnualAwardConfigDAO;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;

import com.starbuds.server.common.service.activity.ActivityAnnualAwardConfigService;
import org.apache.dubbo.config.annotation.Service;

/**
 * 周年庆奖励榜单配置表
 */
@Service(version = "1.0.0")
@Slf4j
public class ActivityAnnualAwardConfigServiceImpl implements ActivityAnnualAwardConfigService {

    @Resource
    private ActivityAnnualAwardConfigDAO activityAnnualAwardConfigDAO;

    @Override
    public ActivityAnnualAwardConfigDO getByActivityId(Long activityId) {
        QueryWrapper qw = new QueryWrapper();
        qw.eq("activityId", activityId);
        return activityAnnualAwardConfigDAO.selectOne(qw);
    }

}