package com.starbuds.server.service.activity.lottery;

import com.starbuds.server.common.pojo.activity.LotteryReward;
import lombok.Data;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/20
 */
@Data
public class LotteryResult {
    /**
     * 抽奖记录 id
     */
    private Long hisId;

    /**
     * 奖项
     */
    private List<LotteryReward> winRewards;

    /**
     * 账户余额
     */
    private Long balance;

    /**
     * 抽奖活动名称
     */
    private String lotteryName;
}
